Publications
List Publication Draft Adoptions
GET
header
AuthorizationBearer <Postdot API key>A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.
projectId*stringLength
1 <= lengthpublicationId*stringLength
1 <= lengthResponse for status 200
application/json- response
adoptions*array<>curl -X GET 'https://postbot.example/api/projects/string/publications/string/draft/adoptions'Example Response
{
"adoptions": [
{
"id": "string",
"draft": {
"id": "string",
"projectId": "string",
"publicationId": "string",
"profileVersionId": "string",
"sourceRevision": 1,
"baseSourceContent": {
"body": {
"text": "string",
"format": "plain_text"
},
"headline": "string",
"language": "string",
"media": [
{
"assetId": "string",
"accessibilityText": "string"
}
]
},
"content": {},
"reviewState": "compatible",
"validationIssues": [
{}
],
"lastAssessedProfileVersionId": "string",
"revision": 1,
"updatedByActorId": "string",
"createdAt": 0,
"updatedAt": 0
},
"localContent": {},
"adoptedProfileVersionId": "string",
"targetRevisionId": "string",
"createdAt": 0
}
]
}